from constants import *
from driverExplicit import ExplicitAnalysis
import driverUtils, sys
options = {
    'analysisType':EXPLICIT,
    'applicationName':'analysis',
    'aqua':OFF,
    'beamSectGen':OFF,
    'complexFrequency':OFF,
    'contact':OFF,
    'coupledProcedure':OFF,
    'dataLineCheck':ON,
    'directCyclic':OFF,
    'domains':1,
    'dsa':OFF,
    'dynamic':OFF,
    'explicit_precision':DOUBLE_PRECISION,
    'filPrt':[],
    'fils':[],
    'foundation':OFF,
    'geostatic':OFF,
    'heatTransfer':OFF,
    'importer':OFF,
    'includes':['geometry.inp', 'rheology.inp', 'initialConditions.inp'],
    'initialConditionsFile':OFF,
    'input':'3dCube_UxUyUz',
    'interactive':None,
    'job':'3dCube_UxUyUz',
    'massDiffusion':OFF,
    'mp_mode':THREADS,
    'outputKeywords':ON,
    'parameterized':OFF,
    'partsAndAssemblies':OFF,
    'parval':OFF,
    'postOutput':OFF,
    'restart':OFF,
    'restartWrite':OFF,
    'rezone':OFF,
    'runCalculator':OFF,
    'soils':OFF,
    'staticNonlinear':OFF,
    'steadyStateTransport':OFF,
    'submodel':OFF,
    'substructure':OFF,
    'symmetricModelGeneration':OFF,
    'tmpdir':'C:\\DOCUME~1\\hiebers\\LOCALS~1\\Temp',
    'tracer':OFF,
    'visco':OFF,
}
analysis = ExplicitAnalysis(options)
status = analysis.run()
sys.exit(status)
